Package ghidra.app.util.bin.format.unixaout

# Class UnixAoutMachineType

java.lang.Object
ghidra.app.util.bin.format.unixaout.UnixAoutMachineType

public class UnixAoutMachineType extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `M_29K`
  `static final short`
  `M_386`
  `static final short`
  `M_386_DYNIX`
  `static final short`
  `M_386_NETBSD`
  `static final short`
  `M_532_NETBSD`
  `static final short`
  `M_68010`
  `static final short`
  `M_68020`
  `static final short`
  `M_88K_OPENBSD`
  `static final short`
  `M_AARCH64`
  `static final short`
  `M_ALPHA_NETBSD`
  `static final short`
  `M_ARM`
  `static final short`
  `M_ARM6_NETBSD`
  `static final short`
  `M_CRIS`
  `static final short`
  `M_HPPA_OPENBSD`
  `static final short`
  `M_IA64`
  `static final short`
  `M_M68K_NETBSD`
  `static final short`
  `M_M68K4K_NETBSD`
  `static final short`
  `M_MIPS`
  `static final short`
  `M_MIPS1`
  `static final short`
  `M_MIPS2`
  `static final short`
  `M_NS32032`
  `static final short`
  `M_NS32532`
  `static final short`
  `M_OR1K`
  `static final short`
  `M_PMAX_NETBSD`
  `static final short`
  `M_POWERPC_NETBSD`
  `static final short`
  `M_POWERPC64`
  `static final short`
  `M_R3000`
  `static final short`
  `M_RISCV`
  `static final short`
  `M_SH3`
  `static final short`
  `M_SH5_32`
  `static final short`
  `M_SH5_64`
  `static final short`
  `M_SPARC`
  `static final short`
  `M_SPARC_NETBSD`
  `static final short`
  `M_SPARC64_NETBSD`
  `static final short`
  `M_SPARCLET`
  `static final short`
  `M_UNKNOWN`
  `static final short`
  `M_VAX_NETBSD`
  `static final short`
  `M_VAX4K_NETBSD`
  `static final short`
  `M_X86_64_NETBSD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnixAoutMachineType()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### M_UNKNOWN

    public static final short M_UNKNOWN
    See Also:
      - Constant Field Values

  - ### M_68010

    public static final short M_68010
    See Also:
      - Constant Field Values

  - ### M_68020

    public static final short M_68020
    See Also:
      - Constant Field Values

  - ### M_SPARC

    public static final short M_SPARC
    See Also:
      - Constant Field Values

  - ### M_R3000

    public static final short M_R3000
    See Also:
      - Constant Field Values

  - ### M_NS32032

    public static final short M_NS32032
    See Also:
      - Constant Field Values

  - ### M_NS32532

    public static final short M_NS32532
    See Also:
      - Constant Field Values

  - ### M_386

    public static final short M_386
    See Also:
      - Constant Field Values

  - ### M_29K

    public static final short M_29K
    See Also:
      - Constant Field Values

  - ### M_386_DYNIX

    public static final short M_386_DYNIX
    See Also:
      - Constant Field Values

  - ### M_ARM

    public static final short M_ARM
    See Also:
      - Constant Field Values

  - ### M_SPARCLET

    public static final short M_SPARCLET
    See Also:
      - Constant Field Values

  - ### M_386_NETBSD

    public static final short M_386_NETBSD
    See Also:
      - Constant Field Values

  - ### M_M68K_NETBSD

    public static final short M_M68K_NETBSD
    See Also:
      - Constant Field Values

  - ### M_M68K4K_NETBSD

    public static final short M_M68K4K_NETBSD
    See Also:
      - Constant Field Values

  - ### M_532_NETBSD

    public static final short M_532_NETBSD
    See Also:
      - Constant Field Values

  - ### M_SPARC_NETBSD

    public static final short M_SPARC_NETBSD
    See Also:
      - Constant Field Values

  - ### M_PMAX_NETBSD

    public static final short M_PMAX_NETBSD
    See Also:
      - Constant Field Values

  - ### M_VAX_NETBSD

    public static final short M_VAX_NETBSD
    See Also:
      - Constant Field Values

  - ### M_ALPHA_NETBSD

    public static final short M_ALPHA_NETBSD
    See Also:
      - Constant Field Values

  - ### M_MIPS

    public static final short M_MIPS
    See Also:
      - Constant Field Values

  - ### M_ARM6_NETBSD

    public static final short M_ARM6_NETBSD
    See Also:
      - Constant Field Values

  - ### M_SH3

    public static final short M_SH3
    See Also:
      - Constant Field Values

  - ### M_POWERPC64

    public static final short M_POWERPC64
    See Also:
      - Constant Field Values

  - ### M_POWERPC_NETBSD

    public static final short M_POWERPC_NETBSD
    See Also:
      - Constant Field Values

  - ### M_VAX4K_NETBSD

    public static final short M_VAX4K_NETBSD
    See Also:
      - Constant Field Values

  - ### M_MIPS1

    public static final short M_MIPS1
    See Also:
      - Constant Field Values

  - ### M_MIPS2

    public static final short M_MIPS2
    See Also:
      - Constant Field Values

  - ### M_88K_OPENBSD

    public static final short M_88K_OPENBSD
    See Also:
      - Constant Field Values

  - ### M_HPPA_OPENBSD

    public static final short M_HPPA_OPENBSD
    See Also:
      - Constant Field Values

  - ### M_SH5_64

    public static final short M_SH5_64
    See Also:
      - Constant Field Values

  - ### M_SPARC64_NETBSD

    public static final short M_SPARC64_NETBSD
    See Also:
      - Constant Field Values

  - ### M_X86_64_NETBSD

    public static final short M_X86_64_NETBSD
    See Also:
      - Constant Field Values

  - ### M_SH5_32

    public static final short M_SH5_32
    See Also:
      - Constant Field Values

  - ### M_IA64

    public static final short M_IA64
    See Also:
      - Constant Field Values

  - ### M_AARCH64

    public static final short M_AARCH64
    See Also:
      - Constant Field Values

  - ### M_OR1K

    public static final short M_OR1K
    See Also:
      - Constant Field Values

  - ### M_RISCV

    public static final short M_RISCV
    See Also:
      - Constant Field Values

  - ### M_CRIS

    public static final short M_CRIS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UnixAoutMachineType

    public UnixAoutMachineType()